## libdbusmenu-qt-0.9.3-0.1.20140604bzr-src.tar.xz

=== CMakeLists.txt ===
project(dbusmenu-qt)
cmake_minimum_required(VERSION 2.8.0)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

# Build options
option(WITH_DOC "Build documentation (requires Doxygen)" ON)

# Versions
## Package version
set(dbusmenu_qt_VERSION_MAJOR 0)
set(dbusmenu_qt_VERSION_MINOR 9)
set(dbusmenu_qt_VERSION_PATCH 2)
set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})

## Lib version
### Bump this one when a binary-incompatible change is introduced
set(dbusmenu_qt_lib_SOVERSION 2)

### Bump this one when the API is extended in a binary-compatible way
set(dbusmenu_qt_lib_API_VERSION 6)

### Bump this one when changes do not extend the API
set(dbusmenu_qt_lib_PATCH_VERSION 0)

set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})

# Check if we want to explicitly select the Qt version to be used or autodetect
if (NOT USE_QT4 AND NOT USE_QT5)
    # Autodetect, prefering Qt5
    message(STATUS "Autodetecting Qt version to use")
    find_package(Qt5Widgets QUIET)
    if (Qt5Widgets_FOUND)
        set(USE_QT5 TRUE)
    endif()
endif()

# Detect for which Qt version we're building
if (USE_QT5)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5DBus REQUIRED)
    include_directories(${Qt5Widgets_INCLUDE_DIRS} ${Qt5DBus_INCLUDE_DIRS})
    find_package(Qt5Core REQUIRED)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_AUTOMOC_RELAXED_MODE ON)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)

    set(QT_SUFFIX "qt5")
else()
    find_package(Qt4 REQUIRED)
    include_directories(
      ${QT_INCLUDE_DIR}
      ${QT_QTCORE_INCLUDE_DIR}
      ${QT_QTDBUS_INCLUDE_DIR}
      ${QT_QTGUI_INCLUDE_DIR}
      )

    set(QT_SUFFIX "qt")
endif()

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)
set(LIB_DESTINATION "${CMAKE_INSTALL_LIBDIR}")
set(CMAKECONFIG_INSTALL_DIR "${LIB_DESTINATION}/cmake/dbusmenu-${QT_SUFFIX}")
set(INCLUDE_INSTALL_DIR "include/dbusmenu-${QT_SUFFIX}")

# dist targets
set(ARCHIVE_NAME libdbusmenu-${QT_SUFFIX}-${dbusmenu_qt_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    && make check
    )
add_dependencies(distcheck dist)

configure_file(dbusmenu-qt.pc.in ${CMAKE_BINARY_DIR}/dbusmenu-${QT_SUFFIX}.pc @ONLY)

install(FILES ${CMAKE_BINARY_DIR}/dbusmenu-${QT_SUFFIX}.pc
        DESTINATION ${LIB_DESTINATION}/pkgconfig
    )

add_subdirectory(src)
if (NOT USE_QT5) # TODO port tests to Qt5
add_subdirectory(tests)
endif()
add_subdirectory(tools)

if(WITH_DOC)
    configure_file(Doxyfile.in ${CMAKE_BINARY_DIR}/Doxyfile @ONLY)

    add_custom_target(doc ALL doxygen
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        )

    install(DIRECTORY ${CMAKE_BINARY_DIR}/html/
        DESTINATION share/doc/libdbusmenu-${QT_SUFFIX}-doc
        )
endif(WITH_DOC)

# Generate dbusmenu-qt-config* files
configure_package_config_file(
    dbusmenu-qt-config.cmake.in
    ${CMAKE_BINARY_DIR}/dbusmenu-${QT_SUFFIX}-config.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS INCLUDE_INSTALL_DIR
    )

write_basic_package_version_file(
    ${CMAKE_BINARY_DIR}/dbusmenu-${QT_SUFFIX}-config-version.cmake
    VERSION ${dbusmenu_qt_VERSION}
    COMPATIBILITY SameMajorVersion
    )

# Install dbusmenu-qt-config* files
install(FILES
    ${CMAKE_BINARY_DIR}/dbusmenu-${QT_SUFFIX}-config.cmake
    ${CMAKE_BINARY_DIR}/dbusmenu-${QT_SUFFIX}-config-version.cmake
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

=== src/CMakeLists.txt ===
include(CheckCXXSourceCompiles)
include (CheckCXXCompilerFlag)

# Check some compiler flags
check_cxx_compiler_flag(-fvisibility=hidden __DBUSMENU_HAVE_GCC_VISIBILITY)
if (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)

check_cxx_compiler_flag(-Woverloaded-virtual __DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
if (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual")
endif (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)

check_cxx_compiler_flag(-Wall __DBUSMENU_HAVE_W_ALL)
if (__DBUSMENU_HAVE_W_ALL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif (__DBUSMENU_HAVE_W_ALL)

# Check whether QIcon::name() exists. It was added in late Qt 4.7 cycle, and is
# not present in betas.
set(CMAKE_REQUIRED_INCLUDES "${QT_INCLUDE_DIR}")
set(CMAKE_REQUIRED_LIBRARIES "${QT_QTGUI_LIBRARIES};${QT_QTCORE_LIBRARIES}")
check_cxx_source_compiles("
#include <QtGui/QIcon>
int main() {
    QIcon icon;
    icon.name();
    return 0;
}
" HAVE_QICON_NAME)
if (NOT HAVE_QICON_NAME)
    message(STATUS "QIcon::name() does not exist, DBusMenuExporter will not export icon names by itself")
endif()
configure_file(dbusmenu_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_config.h @ONLY)

set(dbusmenu_qt_SRCS
    dbusmenu_p.cpp
    dbusmenuexporter.cpp
    dbusmenuexporterdbus_p.cpp
    dbusmenuimporter.cpp
    dbusmenutypes_p.cpp
    dbusmenushortcut_p.cpp
    utils.cpp
    )

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    )

if (NOT USE_QT5)
    qt4_automoc(${dbusmenu_qt_SRCS})
    qt4_add_dbus_adaptor(dbusmenu_qt_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/com.canonical.dbusmenu.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
        )
else()
    qt5_add_dbus_adaptor(dbusmenu_qt_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/com.canonical.dbusmenu.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
        )
endif()

configure_file(dbusmenu_version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
    )

add_library(dbusmenu-${QT_SUFFIX} SHARED ${dbusmenu_qt_SRCS})
set_target_properties(dbusmenu-${QT_SUFFIX} PROPERTIES
    VERSION ${dbusmenu_qt_lib_VERSION}
    SOVERSION ${dbusmenu_qt_lib_SOVERSION}
    )


if (NOT USE_QT5)
    target_link_libraries(dbusmenu-${QT_SUFFIX}
        ${QT_QTGUI_LIBRARIES}
        ${QT_QTDBUS_LIBRARIES}
        ${QT_QTCORE_LIBRARIES}
        )
else()
    target_link_libraries(dbusmenu-${QT_SUFFIX}
        ${Qt5Gui_LIBRARIES}
        ${Qt5Core_LIBRARIES}
        ${Qt5DBus_LIBRARIES}
        ${Qt5Widgets_LIBRARIES}
        )
endif()

install(TARGETS dbusmenu-${QT_SUFFIX}
    EXPORT dbusmenu-${QT_SUFFIX}-targets
    LIBRARY DESTINATION ${LIB_DESTINATION}
    RUNTIME DESTINATION bin
    )

install(EXPORT dbusmenu-${QT_SUFFIX}-targets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(DIRECTORY .
    DESTINATION ${INCLUDE_INSTALL_DIR}
    FILES_MATCHING PATTERN "*.h"
    PATTERN "*_p.h" EXCLUDE
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    )

=== debian/changelog ===
libdbusmenu-qt (0.9.3+14.04.20140314-0ubuntu1) trusty; urgency=medium

  [ Pete Woods ]
  * Add importer parameter to allow control over DBus behavior.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Mar 2014 16:41:54 +0000

libdbusmenu-qt (0.9.2+14.04.20140305-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 09:29:14 +0000

libdbusmenu-qt (0.9.2+14.04.20140218.2-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Remove busy watcher (LP: #1280372)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 14:33:02 +0000

libdbusmenu-qt (0.9.2+14.04.20140217.1-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Fix compile warning when building with -Wpedantic (extra semicolon).

  [ Ted Gould ]
  * Flushing trunk with a release

  [ Timo Jyrinki ]
  * Drop reference to libqt5core5 which will get renamed. (LP:
    #1271058). (LP: #1271058)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Feb 2014 18:03:31 +0000

libdbusmenu-qt (0.9.2+14.04.20131209-0ubuntu1) trusty; urgency=low

  [ Marcus Tomlinson ]
  * When adding a new submenu action, refresh() that action to ensure
    full menu hierarchy is built.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 253

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Dec 2013 02:29:59 +0000

libdbusmenu-qt (0.9.2+14.04.20131125-0ubuntu1) trusty; urgency=low

  [ Aurélien Gâteau ]
  * This change install CMake config files for dbusmenu-qt and dbusmenu-
    qt5. This makes it easy for other projects to use the library with
    find(dbusmenu-qt) or find(dbusmenu-qt5) without having to ship a
    FindDBusMenuQt.cmake file. (More about this topic here:
    http://www.cmake.org/Wiki/CMake/Tutorials/Packaging ). Test programs
    available here: http://agateau.com/tmp/dmqt-samples.tar.bz2.

  [ Marcus Tomlinson ]
  * Destructors of classes intended to be base classes updated to
    virtual.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 251

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Nov 2013 03:56:49 +0000

libdbusmenu-qt (0.9.2+13.10.20130826-0ubuntu1) saucy; urgency=low

  [ Joe Yasi ]
  * This fixes bug #1035755, [firefox] Extension causes context/drop
    down menus to disappear. The patch uses the correct X11 event
    timestamp instead of the system time. (LP: #1035755)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 248

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 10:07:36 +0000

libdbusmenu-qt (0.9.2+13.10.20130628-0ubuntu1) saucy; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Fix the pkg-config file for the libdbusmenu-qt5 case, as the
    includedir was missing the correct QT_SUFFIX.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 246

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 02:03:12 +0000

libdbusmenu-qt (0.9.2daily13.05.02-0ubuntu1) saucy; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control, debian/rules:
    - Modifications related to compliance with our packaging standards

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 244

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 May 2013 22:59:30 +0000

libdbusmenu-qt (0.9.2daily13.03.28-0ubuntu1) raring; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Add inline packaging metadata.
  * debian/control, 
    debian/libdbusmenu-qt5.install,
    debian/libdbusmenu-qt5-dev.install,
    debian/libdbusmenu-qt5-doc.install:
    - Add the -qt5 package versions of all libdbusmenu packages
  * debian/rules:
    - Enable a double build - first build a Qt4 version of libdbusmenu for
      libdbusmenu-qt2 and then a Qt5 version for libdbusmenu-qt5

  [ Mathieu Trudel-Lapierre ]
  * debian/copyright: fix copyright stanza for LGPL 2.
  * debian/control: bump debhelper Build-Depends to 9.
  * debian/source.lintian-overrides: drop the override.
  * debian/watch: dropped; no longer needed with inline packaging.
  * debian/control:
    - bump Standards-Version to 3.9.4. 
    - add Vcs-Bzr/Vcs-Browser.
    - add comments for developers.
  * Automatic snapshot from revision 240 (bootstrap). (LP: #1126205)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 241

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Mar 2013 20:27:01 +0000

libdbusmenu-qt (0.9.2-0ubuntu4) raring; urgency=low

  * Mark two library symbols as optional, fixing build failure with GCC 4.8.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2013 10:02:51 +0100

libdbusmenu-qt (0.9.2-0ubuntu3) quantal; urgency=low

  * Update symbols file again for powerpc and armel to fix FTBFS on those
    archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Sep 2012 11:56:51 -0400

libdbusmenu-qt (0.9.2-0ubuntu2) quantal; urgency=low

  * Update symbols file to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Mon, 24 Sep 2012 09:58:44 -0400

libdbusmenu-qt (0.9.2-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Thu, 29 Mar 2012 17:51:21 +0200

libdbusmenu-qt (0.9.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Mon, 26 Mar 2012 15:36:30 +0200

libdbusmenu-qt (0.9.0-2ubuntu1) precise; urgency=low

  * Merge from Debian git, remaining changes:
    - patches/002-use-multiarch-lib-paths: fixed author
    - copyright: fixed "Source" field

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Thu, 24 Nov 2011 16:32:30 +0100

libdbusmenu-qt (0.9.0-2) UNRELEASED; urgency=low

  * update description for -dev package too. (Closes: #640251)
  * Implement multiarch.
    - bump cmake build dependency to 2.8.5.
    - bump debhelper build dependency to 8.1.3.
  * debian/rules: move --parallel after $@ 
  * New binary package libdbusmenu-qt-doc.


=== debian/control ===
Source: libdbusmenu-qt
Section: libs
Priority: optional
Build-Depends: cmake (>= 2.8.5),
               debhelper (>= 9),
               doxygen,
               libqjson-dev,
               libqt4-dev,
               qtbase5-dev,
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Standards-Version: 3.9.4
Homepage: https://launchpad.net/libdbusmenu-qt
# If you aren't ~dbusmenu-team but need to upload packaging changes,
# just go ahead.  ~dbusmenu-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~dbusmenu-team/libdbusmenu-qt/trunk
Vcs-Browser: https://bazaar.launchpad.net/~dbusmenu-team/libdbusmenu-qt/trunk/files

Package: libdbusmenu-qt2
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: Qt implementation of the DBusMenu protocol
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over DBus.
 .
 This package provides shared libraries.

Package: libdbusmenu-qt5
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: libqt5dbus5,
          libqt5gui5,
          libqt5widgets5,
Multi-Arch: same
Description: Qt5 implementation of the DBusMenu protocol
 This library provides a Qt5 implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over DBus.
 .
 This package provides shared libraries.

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}),
         libqt4-dev,
         ${misc:Depends},
Description: Qt implementation of the DBusMenu protocol (development)
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over DBus.
 .
 This package provides header files for development.

Package: libdbusmenu-qt5-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Qt5 implementation of the DBusMenu protocol (development)
 This library provides a Qt5 implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over DBus.
 .
 This package provides header files for development.

Package: libdbusmenu-qt-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         ${misc:Depends},
Description: Qt implementation of the DBusMenu protocol (documentation)
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over DBus.
 .
 This package provides API documentation in html format.

Package: libdbusmenu-qt5-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         ${misc:Depends},
Description: Qt5 implementation of the DBusMenu protocol (documentation)
 This library provides a Qt5 implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export
 and import their menus over DBus.
 .
 This package provides API documentation in html format.
